flink-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jark Wu <imj...@gmail.com>
Subject Re: [DISCUSS] Deprecate previous Python APIs
Date Wed, 12 Jun 2019 01:40:53 GMT
+1 and looking forward to the new Python API world.

Best,
Jark

On Wed, 12 Jun 2019 at 09:22, Becket Qin <becket.qin@gmail.com> wrote:

> +1 on deprecating the old Python API in 1.9 release.
>
> Thanks,
>
> Jiangjie (Becket) Qin
>
> On Wed, Jun 12, 2019 at 9:07 AM Dian Fu <dian0511.fu@gmail.com> wrote:
>
>> +1 for this proposal.
>>
>> Regards,
>> Dian
>>
>> 在 2019年6月12日,上午8:24,jincheng sun <sunjincheng121@gmail.com>
写道:
>>
>> big +1 for the proposal.
>>
>> We will soon complete all the Python API functional development of the
>> 1.9 release, the development of UDFs will be carried out. After the support
>> of UDFs is completed, it will be very natural to support Datastream API.
>>
>> If all of us agree with this proposal, I believe that for the 1.10
>> release, it is possible to complete support both UDFs and DataStream API.
>> And we will do our best to make the 1.10 release that contains the Python
>> DataStream API support.
>>
>> So, great thanks to @Stephan for this proposal!
>>
>> Best,
>> Jincheng
>>
>> Zili Chen <wander4096@gmail.com> 于2019年6月11日周二 下午10:56写道:
>>
>>> +1
>>>
>>> Best,
>>> tison.
>>>
>>>
>>> zhijiang <wangzhijiang999@aliyun.com> 于2019年6月11日周二 下午10:52写道:
>>>
>>>> It is reasonable as stephan explained. +1 from my side!
>>>>
>>>> ------------------------------------------------------------------
>>>> From:Jeff Zhang <zjffdu@gmail.com>
>>>> Send Time:2019年6月11日(星期二) 22:11
>>>> To:Stephan Ewen <sewen@apache.org>
>>>> Cc:user <user@flink.apache.org>; dev <dev@flink.apache.org>
>>>> Subject:Re: [DISCUSS] Deprecate previous Python APIs
>>>>
>>>> +1
>>>>
>>>> Stephan Ewen <sewen@apache.org> 于2019年6月11日周二 下午9:30写道:
>>>>
>>>> > Hi all!
>>>> >
>>>>
>>>> > I would suggest to deprecating the existing python APIs for DataSet
and
>>>> > DataStream API with the 1.9 release.
>>>> >
>>>> > Background is that there is a new Python API under development.
>>>> > The new Python API is initially against the Table API. Flink 1.9 will
>>>>
>>>> > support Table API programs without UDFs, 1.10 is planned to support
UDFs.
>>>> > Future versions would support also the DataStream API.
>>>> >
>>>> > In the long term, Flink should have one Python API for DataStream and
>>>>
>>>> > Table APIs. We should not maintain multiple different implementations
and
>>>> > confuse users that way.
>>>>
>>>> > Given that the existing Python APIs are a bit limited and not under
active
>>>>
>>>> > development, I would suggest to deprecate them in favor of the new API.
>>>> >
>>>> > Best,
>>>> > Stephan
>>>> >
>>>> >
>>>>
>>>> --
>>>> Best Regards
>>>>
>>>> Jeff Zhang
>>>>
>>>>
>>>>
>>

Mime
View raw message